Openapi
Mark a notification read, unread, or dismissed for the authenticated member.
Supabase browser session cookie. Supabase may split larger session values into chunked cookies like sb-auth-token.0.
In: cookie
uuiduuidapplication/json
Read, unread, or dismiss the notification.
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/organizations/123/notifications/123e4567-e89b-12d3-a456-426614174000" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "eventId": "d6703cc8-9e79-415d-ac03-a4dc7f6ab43c", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "recipientUserId": "b75206a2-d744-4b29-9351-fc8f8b811db2", "type": "task.assigned", "priority": "low", "actorUserId": "94141e08-adc7-44ce-bed3-45f031b9f36f", "actor": { "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b", "displayName": "string", "avatarUrl": "string" }, "originator": { "kind": "user", "displayName": "string", "avatarUrl": "string" }, "subjectType": "task", "subjectId": "string", "subjectLabel": "string", "summary": "string", "actionPath": "string", "metadata": { "property1": "string", "property2": "string" }, "readAt": "2019-08-24T14:15:22Z", "dismissedAt": "2019-08-24T14:15:22Z", "resolvedAt": "2019-08-24T14:15:22Z", "deliveredAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z"}